POST api/Book
Request Information
URI Parameters
None.
Body Parameters
SessionRequestParams| Name | Description | Type | Additional information |
|---|---|---|---|
| day | string |
None. |
|
| phone | string |
None. |
|
| name | string |
None. |
|
| shipID | globally unique identifier |
None. |
|
| coachID | globally unique identifier |
None. |
|
| ridersQty | integer |
None. |
|
| beginnersQty | integer |
None. |
|
| sessionDuration | integer |
None. |
|
| startDate | string |
None. |
|
| comment | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"day": "sample string 1",
"phone": "sample string 2",
"name": "sample string 3",
"shipID": "8ae4b41b-7fb8-4241-bef3-ca58bbfe849c",
"coachID": "4278a090-6e70-4e63-a610-b33738317c12",
"ridersQty": 5,
"beginnersQty": 6,
"sessionDuration": 7,
"startDate": "sample string 8",
"comment": "sample string 9"
}
application/xml, text/xml
Sample:
<SessionRequestParams xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SurfBooking.Models"> <comment>sample string 9</comment> <day>sample string 1</day> <instructorId>4278a090-6e70-4e63-a610-b33738317c12</instructorId> <name>sample string 3</name> <phone>sample string 2</phone> <ridersQty>5</ridersQty> <shipId>8ae4b41b-7fb8-4241-bef3-ca58bbfe849c</shipId> <startDate>sample string 8</startDate> <startupQty>6</startupQty> <totalDuration>7</totalDuration> </SessionRequestParams>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
BookResponseJson| Name | Description | Type | Additional information |
|---|---|---|---|
| orderId | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"orderId": 1
}
application/xml, text/xml
Sample:
<BookResponseJson xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SurfBooking.Models"> <orderId>1</orderId> </BookResponseJson>